## GOOptionMenu

GOOptionMenu

## Synopsis

                        GOOptionMenu;
                        GOOptionMenuClass;
    GtkWidget*          go_option_menu_new                  (void);
    void                go_option_menu_set_menu             (GOOptionMenu *option_menu,
                                                             GtkWidget *menu);
    void                go_option_menu_set_history          (GOOptionMenu *option_menu,
                                                             GSList *selection);
    GtkWidget *         go_option_menu_get_history          (GOOptionMenu *option_menu);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkButton
                                           +----GOOptionMenu

## Implemented Interfaces

GOOptionMenu implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Properties

      "menu"                     GtkMenu*              : Read / Write

## Signals

      "changed"                                        : Run Last

## Description

## Details

### GOOptionMenu

    typedef struct _GOOptionMenu GOOptionMenu;

### GOOptionMenuClass

    typedef struct {
      GtkButtonClass parent_class;

      void (*changed) (GOOptionMenu *option_menu);

      /* Padding for future expansion */
      void (*_gtk_reserved1) (void);
      void (*_gtk_reserved2) (void);
      void (*_gtk_reserved3) (void);
      void (*_gtk_reserved4) (void);
    } GOOptionMenuClass;

### go_option_menu_new ()

    GtkWidget*          go_option_menu_new                  (void);

Returns : |

### go_option_menu_set_menu ()

    void                go_option_menu_set_menu             (GOOptionMenu *option_menu,
                                                             GtkWidget *menu);

`option_menu` : |
`menu` : |

### go_option_menu_set_history ()

    void                go_option_menu_set_history          (GOOptionMenu *option_menu,
                                                             GSList *selection);

`option_menu` : |
`selection` : |

### go_option_menu_get_history ()

    GtkWidget *         go_option_menu_get_history          (GOOptionMenu *option_menu);

Retrieves the currently selected menu item.

`option_menu` : | a GOOptionMenu
Returns : | the selected menu_item

## Property Details

### The `"menu"` property

      "menu"                     GtkMenu*              : Read / Write

The menu of options.

## Signal Details

### The `"changed"` signal

    void                user_function                      (GOOptionMenu *gooptionmenu,
                                                            gpointer      user_data)         : Run Last

`gooptionmenu` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.